import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class B2K_raised_twice implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("shadeColor"));
		g.drawRect(1,1,w-3,h-3);
		g.drawLine(w-2,4,w-3,4);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(1,0,w-2,0);
		g.drawLine(0,1,0,h-2);
		g.drawLine(1,h-1,w-2,h-1);
		g.drawLine(w-1,1,w-1,h-2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(2,2,w-3,2);
		g.drawLine(3,3,w-4,3);
		g.drawLine(2,2,2,h-3);
		g.drawLine(3,3,3,h-3);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(4,4,2,2);
	}

}
