import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class B2K_simple_lowered implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("shadeColor"));
		g.drawLine(0,0,w-2,0);
		g.drawLine(0,1,0,h-2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(1,1,w-3,1);
		g.drawLine(1,2,1,h-3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("hilightColor"));
		g.drawLine(1,h-2,w-2,h-2);
		g.drawLine(w-2,h-2,w-2,1);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(0,h-1,w-1,h-1);
		g.drawLine(w-1,h-2,w-1,0);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,2);
	}

}
