import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class Thin3D_etchedin implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawRect(0,0,w-2,h-2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawRect(1,1,w-2,h-2);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,2);
	}

}
