import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class Thin3D_lowered implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(0,0,0,h-2);
		g.drawLine(0,0,w-2,0);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(w-1,h-1,w-1,1);
		g.drawLine(w-1,h-1,1,h-1);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(1,1,1,1);
	}

}
