import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class ThinKeramik_Button implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("buttonBorderColor"));
		g.drawLine(2, 0, w-3, 0);
		g.drawLine(2, h-1, w-3, h-1);
		g.drawLine(0, 2, 0, h-3);
		g.drawLine(w-1, 2, w-1, h-3);
		g.drawLine(1, 1, 1, 1);
		g.drawLine(w-2, 1, w-2, 1);
		g.drawLine(1, h-2, 1, h-2);
		g.drawLine(w-2, h-2, w-2, h-2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("backgroundColor"));
		g.drawLine(0,0,0,1);
		g.drawLine(0,0,1,0);
		g.drawLine(0,h-1,0,h-2);
		g.drawLine(0,h-1,1,h-1);
		g.drawLine(w-2,0,w-1,0);
		g.drawLine(w-1,0,w-1,1);
		g.drawLine(w-1,h-2,w-1,h-1);
		g.drawLine(w-2,h-1,w-1,h-1);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,4,2,4);
	}

}
