/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;

import java.awt.*;
import javax.swing.*;
import javax.swing.ImageIcon;
import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;


class Strut extends JComponent {
	private static final boolean DEBUG = false;

	static int DIM = 4;
	
	
	public Dimension getMaximumSize()  {
		return new Dimension(DIM, DIM);
	}

	
	public Dimension getMinimumSize()  {
		return new Dimension(DIM, DIM);
	}

	
	public Dimension getPreferredSize()  {
		return new Dimension(DIM, DIM);
	}

	
	public void paintred(Graphics g)  {
		Dimension size = getSize();
		
		g.setColor(Color.red);
		g.drawRect(0,0,size.width-1,size.height-1);
	}

}
