/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package de.hillenbrand.swing.plaf.themelf;



public class ThemeLF_Compiler {
	private static final boolean DEBUG = false;

	
	
	public static void main(String [] args)  {
		if (args.length != 1)
			{
			System.err.println("ERROR: Need /path/to/javac as argument");
			System.exit(10);
			}
		
		if (System.getProperty("jedi.runfrom") != null)
			{
			args[0] = "/opt/jdk-1.5/bin/javac";
			System.out.println("ThemeLF_Compiler.main(): setting compiler to " + args[0]);
			}
		
		ThemeLF_Border.compileAll(args[0]);
		ThemeLF_Disabler.compileAll(args[0]);
		
		System.out.println("ThemeLF_Compiler.main(): compilation done");
		
		System.exit(0);
	}

}
