import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class B2KLight_selectedTab implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("backgroundColor"));
		g.fillRect(2,2,w-2,h);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(0,h,0,5);
		g.drawLine(0,4,4,0);
		g.drawLine(5,0,w-2,0);
		g.setColor(new Color(232,232,232));
		g.drawLine(1,h,1,5);
		g.drawLine(1,4,4,1);
		g.drawLine(5,1,w-3,1);
		g.setColor(ThemeLF_Prefs.getDefaultColor("shadeColor"));
		g.drawLine(w-2,0,w-2,h);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(w-1,1,w-1,h);
		g.drawLine(0,h-1,w+w,h);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,0);
	}

}
