import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class B2K_combo implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("shadeColor"));
		g.drawLine(1,h-2,w-2,h-2);
		g.drawLine(w-2,h-3,w-2,2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(0,2,2,0);
		g.drawLine(2,0,w-2,0);
		g.drawLine(w-1,1,w-1,h-2);
		g.drawLine(w-2,h-1,1,h-1);
		g.drawLine(0,h-1,0,2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(2,1,w-2,1);
		g.drawLine(2,2,2,h-3);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,6,2,2);
	}

}
