import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class Thick3D_etchedin implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawRect(0,0,w-4,h-4);
		g.drawRect(1,1,w-4,h-4);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawRect(2,2,w-4,h-4);
		g.drawRect(3,3,w-4,h-4);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(4,4,4,4);
	}

}
