import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class Thick3D_lowered implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(0,0,w-1,0);
		g.drawLine(0,1,w-2,1);
		g.drawLine(0,0,0,h-1);
		g.drawLine(1,0,1,h-2);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(w-1,h-1,1,h-1);
		g.drawLine(w-1,h-2,2,h-2);
		g.drawLine(w-1,h-1,w-1,1);
		g.drawLine(w-2,h-1,w-2,2);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,2,2,2);
	}

}
