import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class Thin3D_frame implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		if (((JInternalFrame)c).isSelected()) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("selectionColor"));
		g.fillRect(0,0,w,4);
		g.fillRect(0,0,4,h);
		g.fillRect(w-4,0,4,h);
		g.fillRect(0,h-4,w,4);
		}
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(0,0,0,h-2);
		g.drawLine(0,0,w-2,0);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(w-1,h-1,w-1,1);
		g.drawLine(w-1,h-1,1,h-1);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(3,3,3,h-4);
		g.drawLine(3,3,w-4,3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(w-4,h-4,w-4,4);
		g.drawLine(w-4,h-4,4,h-4);
		if (((JInternalFrame)c).isResizable()) {
		int SIZER=15;
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(SIZER,0,SIZER,3);
		g.drawLine(w-1-SIZER,0,w-1-SIZER,3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(SIZER+1,0,SIZER+1,3);
		g.drawLine(w-SIZER,0,w-SIZER,3);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(SIZER,h-1,SIZER,h-4);
		g.drawLine(w-1-SIZER,h-1,w-1-SIZER,h-4);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(SIZER+1,h-1,SIZER+1,h-4);
		g.drawLine(w-SIZER,h-1,w-SIZER,h-4);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(0,SIZER,3,SIZER);
		g.drawLine(0,h-1-SIZER,3,h-1-SIZER);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(0,SIZER+1,3,SIZER+1);
		g.drawLine(0,h-SIZER,3,h-SIZER);
		g.setColor(ThemeLF_Prefs.getDefaultColor("darkEdgeColor"));
		g.drawLine(w-1,SIZER,w-4,SIZER);
		g.drawLine(w-1,h-1-SIZER,w-4,h-1-SIZER);
		g.setColor(ThemeLF_Prefs.getDefaultColor("lightEdgeColor"));
		g.drawLine(w-1,SIZER+1,w-4,SIZER+1);
		g.drawLine(w-1,h-SIZER,w-4,h-SIZER);
		}
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(4,4,4,4);
	}

}
