import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.swing.plaf.themelf.*;

public class ThinKeramik_MenuBar implements Border {

	public boolean isBorderOpaque() {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int w, int h) {
		g.setColor(ThemeLF_Prefs.getDefaultColor("menuBarLightEdgeColor"));
		g.drawLine(0,0,w-1,0);
		g.setColor(ThemeLF_Prefs.getDefaultColor("menuBarDarkEdgeColor"));
		g.drawLine(0,h-1,w-1,h-1);
	}

	public Insets getBorderInsets(Component c) {
		return new Insets(2,4,2,4);
	}

}
